Post new topic   Reply to topic
View previous topic Printable version Log in to check your private messages View next topic
Author Message
blackholeOffline
15 Post subject: [solved] KDE crash on startup!  PostPosted: 19.03.2011, 15:24



Joined: 2010-09-12
Posts: 110

Status: Offline
With the last dist-upgrade and the upgrade of python-qt4 kde is not starting any more:

see:
https://bugs.kde.org/show_bug.cgi?id=268875

http://old.nabble.com/-Bug-268875--New% ... 87946.html

It seems that downgrading to previous version will fix the problem.

I will report later


Last edited by blackhole on 02.04.2011, 09:21; edited 1 time in total
 
 View user's profile Send private message  
Reply with quote Back to top
blackholeOffline
Post subject: RE: KDE crash on startup!  PostPosted: 19.03.2011, 16:10



Joined: 2010-09-12
Posts: 110

Status: Offline
Confirmed. It is necessary to downgrade to python-qt4 version 4.8.3-1 (from testing).
 
 View user's profile Send private message  
Reply with quote Back to top
diblOffline
Post subject:   PostPosted: 19.03.2011, 16:30



Joined: 2010-09-12
Posts: 302
Location: Dayton, Ohio, USA
Status: Offline
Bad news and good news ...

The bad news is, I forgot to review "Upgrade Warnings" before I ran d-u today. The good news is, I don't see such a problem -- KDE seems to have no issue at all.

      Code:
root@aptosidbox:/home/don# apt-cache policy python-qt4
python-qt4:
  Installed: (none)
  Candidate: 4.8.3-2
  Version table:
     4.8.3-2 0
        500 http://cdn.debian.net/debian/ unstable/main amd64 Packages
        500 http://ftp.us.debian.org/debian/ unstable/main amd64 Packages
root@aptosidbox:/home/don# apt-cache policy plasma-desktop
plasma-desktop:
  Installed: 4:4.5.1-0r2
  Candidate: 4:4.5.1-0r2
  Version table:
 *** 4:4.5.1-0r2 0
        100 /var/lib/dpkg/status
     4:4.4.5-8 0
        500 http://cdn.debian.net/debian/ unstable/main amd64 Packages
        500 http://ftp.us.debian.org/debian/ unstable/main amd64 Packages


Is it because python-qt4 is not installed? I'm surprised -- I would think I would need that. ?
 
 View user's profile Send private message Visit poster's website  
Reply with quote Back to top
clubexOffline
Post subject:   PostPosted: 19.03.2011, 16:48



Joined: 2010-09-11
Posts: 98

Status: Offline
dibi:
Only had a quick look at the bug reports and they say that the bug affects KDE 4.4.5 whereas your report suggests that it's not an issue with KDE 4.5.1. (damn those pesky KDE version numbers ;-o)
 
 View user's profile Send private message  
Reply with quote Back to top
diblOffline
Post subject:   PostPosted: 19.03.2011, 17:01



Joined: 2010-09-12
Posts: 302
Location: Dayton, Ohio, USA
Status: Offline
ahhhh -- yes, it's my lucky day! Thanks clubex.
 
 View user's profile Send private message Visit poster's website  
Reply with quote Back to top
blackholeOffline
Post subject:   PostPosted: 19.03.2011, 17:48



Joined: 2010-09-12
Posts: 110

Status: Offline
The version from http://qt-kde.debian.net/ IS affected.
 
 View user's profile Send private message  
Reply with quote Back to top
bmorencyOffline
Post subject:   PostPosted: 19.03.2011, 18:05



Joined: 2010-10-22
Posts: 71

Status: Offline
I had mine crash as well. I deleted my .kde folder and logged in again it was ok. Now I am setting up my desktop the way I had it before. Before I had the gmail plasma widget on my panel at the bottom and now every time I try to re added it it will crash on me and I cannot put it back.

I still have yet to install the latest python and python-minimal today.
 
 View user's profile Send private message  
Reply with quote Back to top
clubexOffline
Post subject:   PostPosted: 19.03.2011, 18:31



Joined: 2010-09-11
Posts: 98

Status: Offline
I have no problems so far with python-qt4 4.8.3-2 and KDE 4:4.5.1-0r1.

# infobash -v3
Host/Kernel/OS "westfield" running Linux 2.6.37-3.slh.2-aptosid-amd64 x86_64 [ sidux 2008-04 Πόντος - kde-lite - (200812222256) ]
CPU Info 2x AMD Athlon II X2 240 1024 KB cache flags( sse3 ht nx lm svm ) clocked at [ 800.000 MHz ]
Videocard nVidia C61 [GeForce 7025 / nForce 630a] X.Org 1.9.4.901 [ 1680x1050@50.0hz ]
Network cards nVidia MCP61
Processes 132 | Uptime 1:13 | Memory 775.5/1758.8MB | HDD Hitachi HDS72168 Size 82GB (70%used) | GLX Renderer GeForce 7025 / nForce 630a/PCI/SSE2 | GLX Version 2.1.2 NVIDIA 260.19.44 | Client Shell | Infobash v3.35
 
 View user's profile Send private message  
Reply with quote Back to top
diblOffline
Post subject:   PostPosted: 19.03.2011, 18:55



Joined: 2010-09-12
Posts: 302
Location: Dayton, Ohio, USA
Status: Offline
      blackhole wrote:
The version from http://qt-kde.debian.net/ IS affected.


hmmmmm My KDE 4.5.3 came from the kde-experimental repo, which is in fact the qt-kde.debian.net repo. Like clubex, I have a 64-bit system:

      Code:
don@aptosidbox:~$ infobash -v3
Host/Kernel/OS  "aptosidbox" running Linux 2.6.38-0.slh.5-aptosid-amd64 x86_64 [ aptosid 2010-03 Ἀπάτη - kde-lite - (201012262151) ]
CPU Info        8x Intel Core i7 950 @ 8192 KB cache flags( sse3 ht nx lm vmx ) clocked at [ 1600.000 MHz ]
Videocard       nVidia GF100 [GeForce GTX 480]  X.Org 1.9.4.901  [ 1920x1200@50.0hz ]
Network cards   Marvell 88E8056 PCI-E Gigabit
Processes 224 | Uptime 2:32 | Memory 879.5/5978.9MB | HDD OCZ-REVODRIVE,OCZ-REVODRIVE,KINGSTON SS100S2,WDC WD1002FAEX-0,WDC WD1002FAEX-0 Size 2136GB (2%used) | GLX Renderer GeForce GTX 480/PCI/SSE2 | GLX Version 4.1.0 NVIDIA 270.30 | Client Shell | Infobash v3.35
 
 View user's profile Send private message Visit poster's website  
Reply with quote Back to top
muchan
Post subject:   PostPosted: 19.03.2011, 22:24
Moderator


Joined: 2010-09-11
Posts: 468

      blackhole wrote:
The version from http://qt-kde.debian.net/ IS affected.


Can you (OP:"blackhole") or anyone else confirm, that the current version from Debian sid is not affected?

In this case, this thread should belong to "Script & Dragons" forum, not "Upgrade warning".
 
 View user's profile Send private message  
Reply with quote Back to top
arwaOffline
Post subject:   PostPosted: 19.03.2011, 22:25



Joined: 2010-09-11
Posts: 183

Status: Offline
I am using KDE4.4.5, having

python-qt4:
Installed: 4.8.3-2

I do not have any problem with a crashing KDE. (The only thing is on logout a crash occurs in kde-policykit or something. But his happens for approx. 2 weeks now.)

So I think (as bmorency writes) that it has to do with the plasmoids that are installed.
 
 View user's profile Send private message  
Reply with quote Back to top
muchan
Post subject:   PostPosted: 19.03.2011, 22:48
Moderator


Joined: 2010-09-11
Posts: 468

{ OK. I move the thread to Dragon forum. Please write, if your "pure sid" encounters the same problem. }
 
 View user's profile Send private message  
Reply with quote Back to top
blackholeOffline
Post subject:   PostPosted: 19.03.2011, 23:09



Joined: 2010-09-12
Posts: 110

Status: Offline
      muchan wrote:
{ OK. I move the thread to Dragon forum. Please write, if your "pure sid" encounters the same problem. }


In the link to the bug report is written:

      Quote:

Application: plasma-desktop (0.3)
KDE Platform Version: 4.4.5 (KDE 4.4.5)
Qt Version: 4.7.2
Operating System: Linux 2.6.37-2-amd64 x86_64
Distribution: Debian GNU/Linux 6.0-updates (squeeze)


So I must say that I don't agree the transfer to dragons...these days a lot is about dragons it seems...

Moreover, I would expect some comment from aptosid developers or at least some moderator about the subject and not about the correctness of what is written.
 
 View user's profile Send private message  
Reply with quote Back to top
muchan
Post subject:   PostPosted: 19.03.2011, 23:29
Moderator


Joined: 2010-09-11
Posts: 468

I was commenting as one of moderators of the "Upgrade warning" forum... (???)

Are you Sebastian Bremicker who reported the bug?
And have you (yourself) got this problem with KDE and python-qt4 from Debian sid repo?
-- that is, without having KDE from http://qt-kde.debian.net/ repo?

The problem of KDE from qt-kde.debian repo belongs to Dragon.
If aptosid user with Debian repo KDE is encountering this problem with d-u,
we will surely move this thread back to "Upgrade warning", regardless of your opinion about Dragon.
 
 View user's profile Send private message  
Reply with quote Back to top
bmorencyOffline
Post subject:   PostPosted: 20.03.2011, 00:35



Joined: 2010-10-22
Posts: 71

Status: Offline
      muchan wrote:
{ OK. I move the thread to Dragon forum. Please write, if your "pure sid" encounters the same problem. }


I am just commenting that I am using pure sid. I have not installed anything from http://qt-kde.debian.net/ or Frickelplatz.

I am using kde 4.4.5.

      Code:
kdebase-runtime:
  Installed: 4:4.4.5-1
  Candidate: 4:4.4.5-1
  Version table:
 *** 4:4.4.5-1 0
        500 http://ftp.us.debian.org/debian/ sid/main amd64 Packages
        500 http://ftp.us.debian.org/debian/ unstable/main amd64 Packages
        100 /var/lib/dpkg/status
 
 View user's profile Send private message  
Reply with quote Back to top
Display posts from previous:     
Jump to:  
All times are GMT - 12 Hours
Post new topic   Reply to topic
View previous topic Printable version Log in to check your private messages View next topic
Powered by Zafenio